TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

GramMatrix ( mdl^vec M ) -> elt-alg^mat

### Description

<shortdoc> The matrix of inner-products of basis vectors for the module M, which is B*IP*Transpose(IP), where B is the basis matrix of M and IP is the inner product matrix of M. </shortdoc>

### Examples

x_M:= Matrix(Q,3,3,[1/2,2/5,0,0,1,2,0,0,0]);x_V:=RowSpace(x_M); GramMatrix(x_V);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack